#include <htc.h>

#ifndef _XTAL_FREQ
#define _XTAL_FREQ	4000000
#endif

// LCDのポート定義
#define LCD_RS		RB2
#define LCD_E		RB3
#define LCD_D4		RB4
#define LCD_D5		RB5
#define LCD_D6		RB6
#define LCD_D7		RB7
#define LCD_PORT	PORTB

void lcd_cmd(char cmd);
void lcd_data(char data);
void lcd_goto(unsigned char y, unsigned char x);
void lcd_str(const char *str);
void lcd_clear(void);
void lcd_init();
